Subject: bug#62096: 30.0.50; find-dired, dired-goto-file and spaces

From: Drew Adams <[email-masked]>
Date: Fri, 17 Mar 2023 17:20:52 +0000

> > Did this bug actually get fixed for ls-lisp also, e.g. MS Windows?  I
> thought not, but I haven't followed this closely.
> 
> There's nothing to fix in ls-lisp.  The problem is in find-dired, not
> in ls-lisp.
> 
> > If this isn't yet fixed generally, then shouldn't the bug be kept open,
> perhaps limiting it to ls-lisp or whatever else still needs to be done?
> >
> > IOW, will closing this bug be appropriate for ls-lisp users? Isn't the
> bug as reported still a bug, for ls-lisp users?
> 
> Why do you think this has anything to do with ls-lisp?

Just a guess, based on some statements by Manuel
such as this one:

  My final patch is just a modification of
  'find-ls-option-default-ls' and AFAIK it
  won't do anything on Windows.

And on the patch you've cited being just this,
which seems to only add darwin to the same case
as berkley-unix, having no effect for Windows:

 (defvar find-ls-option-default-ls
 -  (cons "-ls" (if (eq system-type 'berkeley-unix) "-gilsb" "-dilsb")))
 +  (cons "-ls" (if (or (eq system-type 'berkeley-unix)
 +                      (eq system-type 'darwin))
 +                  "-dgils"
 +                "-dilsb")))

But I guess you're confirming that the fix is
for MS Windows (which uses `ls-lisp') also.
I don't see how that can be the case, but if
it is then great.  Thx.